#include <bits/stdc++.h>
using namespace std;

int main(){
        int N, K;
                scanf("%d %d", &N, &K);

                        int p[N];
                                int i, k;
                                        for(i = 0;i < N;i++){
                                                        scanf("%d", &p[i]);
                                                                        if(p[i] == K){ k = i; }
                                                                                }

                                                                                        if(k != N - 1){
                                                                                                        k++;
                                                                                                                        printf("%d\n", p[k]);
                                                                                                                                }
                                                                                                                                        else{
                                                                                                                                                        printf("%d\n", p[0]);
                                                                                                                                                                }

                                                                                                                                                                        return 0;
                                                                                                                                                                        }